<?php
include "../conecta.php";

if( $_POST[nome] )
	$_GET[nome] = $_POST[nome];
if( $_POST[c] )
	$_GET[c] = $_POST[c];

	switch( $_GET[c] ) {
	case 'fornecedor':		$TABELA = 'entidade';	$EXTRA=" AND enti_tx_tipo='fornecedor'";	$NOME = 'Busca de Fornecedor';	$ARQUIVO = '';	break;
	case 'bairro':			$TABELA = 'bairro';		$NOME = 'Busca de Bairro';		$ARQUIVO = 'cadastro_net.php?c=bairro';		break;
	case 'cidade':			$TABELA = 'cidade';		$NOME = 'Busca de Cidade';		$ARQUIVO = 'cadastro_net.php?c=cidade';		break;
	case 'entidade':		$TABELA = 'entidade';	$NOME = 'Busca de Entidades';	$ARQUIVO = 'cadastro_net.php?c=entidade';	break;
	case 'departamento':	$TABELA = 'departamento';	$NOME = 'Busca de Departamentos';	$ARQUIVO = 'cadastro_net.php?c=departamento';	break;
	case 'cargo':			$TABELA = 'cargo';	$NOME = 'Busca de Cargos';	$ARQUIVO = 'cadastro_net.php?c=cargo';	break;
	case 'evento':			$TABELA = 'eventotipo';	$NOME = 'Busca de Eventos';	$ARQUIVO = 'cadastro_net.php?c=evento';	break;
	case 'projeto':			$TABELA = 'projeto';	$NOME = 'Busca de Projetos';		break;
	case 'banco':			$TABELA = 'banco';	$NOME = 'Busca de Bancos';	$ARQUIVO = 'cadastro_net.php?c=banco';	break;
	case 'cbo':			$TABELA = 'cbo';	$NOME = 'Busca de CBO';	$ARQUIVO = 'cadastro_net.php?c=cbo';	break;
	case 'categoriacompra':	$TABELA = 'categoriacompra';	$NOME = 'Busca de Categorias';	$ARQUIVO = 'cadastro_net.php?c=categoriacompra';	break;
	case 'situacaosefip':	$TABELA = 'situacaosefip';	$NOME = 'Busca de Situação';	$ARQUIVO = 'cadastro_net.php?c=situacaosefip';	break;
	case 'sindicato':	$TABELA = 'sindicato';	$NOME = 'Busca de Sindicato';	$ARQUIVO = 'cadastro_net.php?c=sindicato';	break;
	case 'tomador':	$TABELA = 'tomador';	$NOME = 'Busca de Tomador';	$ARQUIVO = 'cadastro_net.php?c=tomador';	break;
	case 'ocorrenciatipo':	$TABELA = 'ocorrenciatipo';	$NOME = 'Busca de Ocorrências';	$ARQUIVO = 'cadastro_net.php?c=ocorrenciatipo';	break;
	case 'equipamento':	$TABELA = 'equipamento';	$NOME = 'Busca de Equipamento';		break;
	case 'produto':	$TABELA = 'produto';	$NOME = 'Busca de Produto';		break;
	case 'servico':	$TABELA = 'servico';	$NOME = 'Busca de Serviço';		break;
	// case 'cliente':	$TABELA = 'cliente';	$NOME = 'Busca de Cliente';	$ARQUIVO = 'cadastro_net.php?c=cliente';	break;
	case 'cliente':	$TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='cliente'";	 $NOME = 'Busca de Cliente'; break;
	case 'funcionario':	$TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='funcionario'";	 $NOME = 'Busca de Cliente'; break;
	case 'profissional':	$TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='profissional'";	 $NOME = 'Busca de Profissional'; break;
	case 'marca':	$TABELA = 'marca';	$NOME = 'Busca de Marca'; $ARQUIVO = 'cadastro_net.php?c=marca';	break;
	
	default: 
		// 20 POR MEDIDA DE SEGURANCA
		$TABELA = substr($_GET[c],0,20);	
		$NOME = 'Busca de '.$TABELA;	
		$ARQUIVO = '';

	break;
	}



	
	$TAB = substr($TABELA,0,4);

	if($_GET[profissao])
		$EXTRA .= " AND ".$TAB."_nb_profissao = $_GET[profissao]";


	cabecalho_combo('');

	$c1 = cactux::campo('Nome:','nome','',10," onkeyup=fecha_combo_net_teclado(event)");
	$busca = cactux::botao_submit("Buscar",2,'index','c',$_GET[c]);
	if( $ARQUIVO )
		$insere = cactux::botao("Inserir",2,'insere');
	$fecha = cactux::botao("Fechar",2,'cancelar'," onclick=fecha_combo_net();");
	$status = cactux::msg_status(4);
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($busca,$insere,$fecha,$status);
	cactux::fecha_fieldset();

	
	cactux::fecha_form();
	cactux::acao_botao('insere','','','',"$ARQUIVO");
	
	

	if( !$_GET[nome] )
		return;
	
	$_GET[nome] = str_replace("%20"," ",$_GET[nome]);
	$_GET[nome] = str_replace(" ","%",$_GET[nome]);
	
	$sql = selecionar($TABELA,$TAB."_tx_status","ativo"," $EXTRA AND ( ".$TAB."_tx_nome LIKE '%$_GET[nome]%' ) ORDER BY ".$TAB."_tx_nome",1);
	
	$_GET[nome] = str_replace("%","%20",$_GET[nome]);
	
	$BUSCA = grid::gerar_paginacao($sql,'acao,nome,c',"index,$_GET[nome],$_GET[c]");

	// inicio do grid
	$cabeca[] = array('CÓD.','NOME');
	$cabeca[] = 'c,e';
	$cabeca[] = '15%,';
	//$cabeca[]='95%';
	
	while( $a = carrega_array($BUSCA[0]) ) {
		$valores[]=array($a[0],".seleciona_combo_net($a[0],'$a[1]')");
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

?>